Take the 2-minute tour ×
Super User is a question and answer site for computer enthusiasts and power users. It's 100% free, no registration required.

I have a fit-PC server with Debian GNU/Linux (Lenny). I would like to use it as a wifi access point since my Linksys WRT54GS has become unstable.

I have a USB Ralink wifi NIC. When I insert the card to USB I can see this with lsusb: Bus 001 Device 002: ID 148f:2573 Ralink Technology, Corp. RT2501/RT2573 Wireless Adapter

I have tried following various HOWTOs on using wifi card as AP in Linux, however, it seems that the card cannot go into monitor mode. I believe this is because I must use a newer driver or upload non-free firmware or something like that. I have tried installed wicd, but it does not help.

I bought this wifi adapter because I was told that it is one of the most common used Linux supported wifi cards that can be used as access point and a lot of other stuff.

So my question is: How do I set up this USB wifi card as wireless access point in Debian Lenny?

share|improve this question
    
Last time I checked it wasn't possible to do AP mode with USB Ralink adapters –  hbdgaf Jan 4 '11 at 11:16
add comment

2 Answers

According to linuxwireless.org the in-kernel Ralink drivers do support AP mode on the older chipsets, both PCI and USB.

If you're still using Debian Lenny, you will have an older version of the drivers which might be affected by bugs or other limitations. As Lenny is currently the oldstable, I would recommend upgrading to the current stable distribution aka Squeeze, if that's possible.

Otherwise, compat-wireless provides a chance to install the most recent drivers on a system without disturbing the rest of the system (this holds true for Squeeze as well)

Debian does not provide ready-made packages for compat-wireless so you will have to download it from linuxwireless.org and build it yourself. That's very easy, the linked page explains the simple few steps needed to do it. Also, the operation can be reverted.

As far the firmware goes, there have been reports of the package in Debian being quite outdated, that is true for squeeze too. Luckily, you can just get the most recent firwmares directly from Ralink.

share|improve this answer
add comment

Here's a thread where they discuss options and some working hardware configurations: http://ubuntuforums.org/archive/index.php/t-1057708.html

my particular stance is to stick with aetheros...i can almost always get it working. broadcom chipsets have always been a pain for me

share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.